# Class WebResourceLockSet.ResourceLock

java.lang.Object
org.apache.catalina.WebResourceLockSet.ResourceLock

Enclosing interface:
  `WebResourceLockSet`

@Deprecated public static class WebResourceLockSet.ResourceLock extends Object
Deprecated.
Unused. Will be removed in Tomcat 12 onwards.
Represents a lock on a resource.

## Field Summary

Fields
Modifier and Type
Field
Description
`final AtomicInteger`
`count`
Deprecated.
`final String`
`key`
Deprecated.
`final ReentrantReadWriteLock`
`reentrantLock`
Deprecated.

## Constructor Summary

Constructors
Constructor
Description
`ResourceLock(String key)`
Deprecated.

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### count

public final AtomicInteger count
Deprecated.

### reentrantLock

public final ReentrantReadWriteLock reentrantLock
Deprecated.

### key

public final String key
Deprecated.

## Constructor Details

### ResourceLock

public ResourceLock(String key)
Deprecated.